Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1684679 - Master operators / components still using JSON
Summary: Master operators / components still using JSON
Keywords:
Status: ASSIGNED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master
Version: 4.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.1.0
Assignee: Michal Fojtik
QA Contact: zhou ying
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-01 20:49 UTC by Clayton Coleman
Modified: 2019-04-05 07:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Clayton Coleman 2019-03-01 20:49:34 UTC
Checked today, these components still appear to be using JSON.

{client=“cluster-openshift-apiserver-operator/v0.0.0 (linux/amd64) kubernetes/$Format”,code=“200",contentType=“application/json”,endpoint=“https”,job=“apiserver”,namespace=“default”,resource=“apiservices”,scope=“cluster”,service=“kubernetes”,verb=“GET”}    4.541666666666666
{client=“openshift-apiserver/v1.12.4+912680a (linux/amd64) kubernetes/912680a”,code=“201",contentType=“application/json”,endpoint=“https”,job=“apiserver”,namespace=“default”,resource=“subjectaccessreviews”,scope=“cluster”,service=“kubernetes”,verb=“POST”}

{client=“hyperkube/v1.12.4+912680a (linux/amd64) kubernetes/912680a/leader-election”,code=“200",contentType=“application/vnd.kubernetes.protobuf”,endpoint=“https”,job=“apiserver”,namespace=“default”,resource=“configmaps”,scope=“namespace”,service=“kubernetes”,verb=“GET”}    0.6074074074074074
{client=“hyperkube/v1.12.4+4dd65df23d (linux/amd64) kubernetes/4dd65df”,code=“200",contentType=“application/json”,endpoint=“https”,job=“apiserver”,namespace=“default”,resource=“secrets”,scope=“namespace”,service=“kubernetes”,verb=“WATCH”}    0.5967303703703705
{client=“hyperkube/v1.12.4+4dd65df23d (linux/amd64) kubernetes/4dd65df”,code=“200",contentType=“application/json”,endpoint=“https”,job=“apiserver”,namespace=“default”,resource=“nodes”,scope=“cluster”,service=“kubernetes”,subresource=“status”,verb=“PATCH”}    0.5787809074074074
{client=“hyperkube/v1.12.4+4dd65df23d (linux/amd64) kubernetes/4dd65df”,code=“200”,contentType=“application/json”,endpoint=“https”,job=“apiserver”,namespace=“default”,resource=“nodes”,scope=“cluster”,service=“kubernetes”,verb=“GET”}    0.5787809074074074

Comment 1 Michal Fojtik 2019-03-05 09:27:29 UTC
openshift-apiserver-operator addressed here: https://github.com/openshift/cluster-openshift-apiserver-operator/pull/160

Going to check the others.

Comment 2 Michal Fojtik 2019-03-05 13:02:57 UTC
I believe the SAR checks should by fixed by: https://github.com/openshift/origin/pull/22235

Comment 4 zhou ying 2019-03-14 10:25:04 UTC
@Michal Fojtik  , Could you please give some advise for how to  verify this ? thanks in advance .

Comment 5 zhou ying 2019-03-15 09:57:30 UTC
Comfrimed with the payload: 4.0.0-0.nightly-2019-03-14-212114, I still could reproduce the issue: 

[root@dhcp-140-138 oc-client]# oc version --short
Client Version: v4.0.22
Server Version: v1.12.4+4836bc9


apiserver_request_count{client="cluster-openshift-apiserver-operator/v0.0.0 (linux/amd64) kubernetes/$Format",code="200",contentType="application/json",endpoint="https",instance="172.31.161.12:6443",job="apiserver",namespace="default",resource="clusteroperators",scope="resource",service="kubernetes",subresource="status",verb="UPDATE"}	4

apiserver_request_count{client="cluster-openshift-apiserver-operator/v0.0.0 (linux/amd64) kubernetes/$Format",code="200",contentType="application/json",endpoint="https",instance="172.31.161.12:6443",job="apiserver",namespace="default",resource="configmaps",scope="namespace",service="kubernetes",verb="PUT"}	2257
apiserver_request_count{client="cluster-openshift-apiserver-operator/v0.0.0 (linux/amd64) kubernetes/$Format",code="200",contentType="application/json",endpoint="https",instance="172.31.161.12:6443",job="apiserver",namespace="default",resource="images",scope="cluster",service="kubernetes",verb="LIST"}	1
apiserver_request_count{client="cluster-openshift-apiserver-operator/v0.0.0 (linux/amd64) kubernetes/$Format",code="200",contentType="application/json",endpoint="https",instance="172.31.161.12:6443",job="apiserver",namespace="default",resource="ingresses",scope="cluster",service="kubernetes",verb="LIST"}	1

apiserver_request_count{client="cluster-openshift-apiserver-operator/v0.0.0 (linux/amd64) kubernetes/$Format",code="200",contentType="application/json",endpoint="https",instance="172.31.161.12:6443",job="apiserver",namespace="default",resource="openshiftapiservers",scope="cluster",service="kubernetes",verb="WATCH"}	9

apiserver_request_count{client="cluster-openshift-apiserver-operator/v0.0.0 (linux/amd64) kubernetes/$Format",code="200",contentType="application/json",endpoint="https",instance="172.31.161.12:6443",job="apiserver",namespace="default",resource="projects",scope="cluster",service="kubernetes",verb="LIST"}	1



apiserver_request_count{client="cluster-openshift-apiserver-operator/v0.0.0 (linux/amd64) kubernetes/$Format",code="201",contentType="application/json",endpoint="https",instance="172.31.161.12:6443",job="apiserver",namespace="default",resource="events",scope="namespace",service="kubernetes",verb="POST"}	5
apiserver_request_count{client="cluster-openshift-apiserver-operator/v0.0.0 (linux/amd64) kubernetes/$Format",code="201",contentType="application/json",endpoint="https",instance="172.31.161.12:6443",job="apiserver",namespace="default",resource="subjectaccessreviews",scope="cluster",service="kubernetes",verb="POST"}	280
apiserver_request_count{client="cluster-openshift-apiserver-operator/v0.0.0 (linux/amd64) kubernetes/$Format",code="201",contentType="application/json",endpoint="https",instance="172.31.161.12:6443",job="apiserver",namespace="default",resource="tokenreviews",scope="cluster",service="kubernetes",verb="POST"}	278
apiserver_request_count{client="cluster-openshift-apiserver-operator/v0.0.0 (linux/amd64) kubernetes/$Format",code="201",contentType="application/vnd.kubernetes.protobuf",endpoint="https",instance="172.31.161.12:6443",job="apiserver",namespace="default",resource="daemonsets",scope="namespace",service="kubernetes",verb="POST"}	1
apiserver_request_count{client="cluster-openshift-apiserver-operator/v0.0.0 (linux/amd64) kubernetes/$Format",code="404",contentType="application/json",endpoint="https",instance="172.31.161.12:6443",job="apiserver",namespace="default",resource="events",scope="namespace",service="kubernetes",verb="PATCH"}	3
apiserver_request_count{client="cluster-openshift-apiserver-operator/v0.0.0 (linux/amd64) kubernetes/$Format",code="404",contentType="application/vnd.kubernetes.protobuf",endpoint="https",instance="172.31.161.12:6443",job="apiserver",namespace="default",resource="configmaps",scope="namespace",service="kubernetes",verb="GET"}	2078
apiserver_request_count{client="cluster-openshift-apiserver-operator/v0.0.0 (linux/amd64) kubernetes/$Format",code="404",contentType="application/vnd.kubernetes.protobuf",endpoint="https",instance="172.31.161.12:6443",job="apiserver",namespace="default",resource="daemonsets",scope="namespace",service="kubernetes",verb="GET"}


apiserver_request_count{client="hyperkube/v1.12.4+4dd65df23d (linux/amd64) kubernetes/4dd65df",code="200",contentType="application/json",endpoint="https",instance="172.31.156.108:6443",job="apiserver",namespace="default",resource="certificatesigningrequests",scope="cluster",service="kubernetes",verb="LIST"}	1

apiserver_request_count{client="hyperkube/v1.12.4+4dd65df23d (linux/amd64) kubernetes/4dd65df",code="200",contentType="application/json",endpoint="https",instance="172.31.156.108:6443",job="apiserver",namespace="default",resource="configmaps",scope="namespace",service="kubernetes",verb="LIST"}	175
apiserver_request_count{client="hyperkube/v1.12.4+4dd65df23d (linux/amd64) kubernetes/4dd65df",code="200",contentType="application/json",endpoint="https",instance="172.31.156.108:6443",job="apiserver",namespace="default",resource="events",scope="namespace",service="kubernetes",verb="PATCH"}	1
apiserver_request_count{client="hyperkube/v1.12.4+4dd65df23d (linux/amd64) kubernetes/4dd65df",code="200",contentType="application/json",endpoint="https",instance="172.31.156.108:6443",job="apiserver",namespace="default",resource="nodes",scope="cluster",service="kubernetes",subresource="status",verb="PATCH"}	455

apiserver_request_count{client="hyperkube/v1.12.4+4dd65df23d (linux/amd64) kubernetes/4dd65df",code="200",contentType="application/json",endpoint="https",instance="172.31.156.108:6443",job="apiserver",namespace="default",resource="pods",scope="cluster",service="kubernetes",verb="LIST"}	1

apiserver_request_count{client="hyperkube/v1.12.4+4dd65df23d (linux/amd64) kubernetes/4dd65df",code="200",contentType="application/json",endpoint="https",instance="172.31.156.108:6443",job="apiserver",namespace="default",resource="secrets",scope="namespace",service="kubernetes",verb="LIST"}	28


Note You need to log in before you can comment on or make changes to this bug.